UNIQ(1)

NAAM
uniq - rapporteer of filter gedupliceerde regels

SAMENVATTING
uniq [OPTIE]... [INVOER [UITVOER]]

BESCHRIJVING

Filtert opeenvolgende gedupliceerde regels uit de INVOER (of standaard invoer) en schrijft naar UITVOER (of standaard uitvoer).

Zonder opties worden identieke regels samengedrukt tot één voorkomen.

Een verplicht argument bij een lange optie is ook verplicht voor de korte optie.

-c, --count
    het aantal gelijke regels vooraan de regel zetten

-d, --repeated
    alleen de regels tonen die meerdere keren voorkomen

-D  alle regels tonen die meerdere keren voorkomen

--all-repeated[=SCHEIDINGSMETHODE]
    als -D, maar groepen eventueel scheiden met witregel; SCHEIDINGSMETHODE kan zijn: 'none' (niets, standaard),

-f, --skip-fields=N
    de eerste N velden niet vergelijken

--group[=SCHEIDINGSMETHODE]
    alle items tonen; regels scheiden met blanco regel; SCHEIDINGSMETHODE: 'separate' (gescheiden, standaard), 'prepend' (voorvoegen), 'append' (achtervoegen), of 'both' (beide, zowel voor- als achtervoegen)

-i, --ignore-case
    verschil tussen hoofd- en kleine letters negeren

-s, --skip-chars=N
    de eerste N tekens niet vergelijken

-u, --unique
    alleen unieke regels tonen

-z, --zero-terminated
    regels afsluiten met 0-byte, niet met nieuweregel

-w, --check-chars=N
    niet meer dan N tekens per regel vergelijken

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

Een veld is witruimte (gewoonlijk spaties en/of tabs), daarna tekens die geen witruimte zijn. Eerst worden velden overgeslagen, dan tekens.

'uniq' ' detecteert gedupliceerde regels alleen als ze onmiddellijk na elkaar staan; u zou de invoer eerst kunnen sorteren, of 'sort -u' gebruiken zonder 'uniq'.

AUTEUR
Geschreven door Richard M. Stallman en David MacKenzie.

RAPPORTEREN VAN BUGS
Online hulp bij GNU coreutils: <https://www.gnu.org/software/coreutils/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>.
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden. Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

ZIE OOK
comm(1), join(1), sort(1)

Volledige documentatie op: <https://www.gnu.org/software/coreutils/uniq>
of lokaal via: info '(coreutils) uniq invocation'

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.